Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22409

Description

It's currently not possible to use memory layers in OGR tools. The error is

Algorithm Buffer vectors starting...

GDAL command:

cmd.exe /C ogr2ogr.exe

"C:\\Users\\anita\\AppData\\Local\\Temp\\processing70e5e0852cb9456ba2e3780f8386122e\\86d237c8f41443f58a230a8133172047\\OUTPUTLAYER.shp" point?crs=EPSG:4326&memoryid={6772bccd-f55d-461d-aff

047\\OUTPUTLAYER.shp" point?crs=EPSG:4326&memoryid={6772bccd-f55d-461d-aff6-6271ded02eea}

point?crs=EPSG:4326&memoryid={6772bccd-f55d-461d-aff6-6271ded02eea} -dialect sqlite -sql "SELECT ST_Buffer( geometry

, 1000 ),* FROM 'point?crs=EPSG:4326&memoryid={6772bccd-f55d-461d-aff6-6271ded02eea}' " 

GDAL command output:

FAILURE: 

Unable to open datasource `point?crs=EPSG:4326' with the following drivers. 

-> JP2ECW 

-> OCI 

-> SOSI 

...

See also http://gis.stackexchange.com/questions/144948/is-it-possible-to-use-memory-layers-in-qgis-processing-algorithms

Memory layers shouldn't be listed in the input layers if they cannot be used.

History

#1 - 2016-04-09 09:35 AM - Giovanni Manghi

- Target version deleted (Future Release - Lower Priority)

- Status changed from Open to Feedback

This is part of a larger missing feature in Processing, see #11616

#2 - 2016-05-23 09:36 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

duplicate of #11616
http://gis.stackexchange.com/questions/144948/is-it-possible-to-use-memory-layers-in-qgis-processing-algorithms


#3 - 2016-10-10 05:59 AM - gcarrillo -

- Target version set to Version 2.18

- Status changed from Closed to Reopened

- Resolution deleted (duplicate)

While #11616 could enhance Processing as a whole, this issue (#14430) can be addressed separately.

That is, for GDAL/OGR Processing algorithms to work with memory layers, we don't need #11616.

I'm reopening this issue because I'm about to propose a fix.

#4 - 2017-01-02 08:06 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

I'm reopening this issue because I'm about to propose a fix.

@gcarrillo was a fix proposed?

#5 - 2017-01-18 08:22 AM - Giovanni Manghi

- Target version changed from Version 2.18 to Version 3.0

- Status changed from Feedback to Open

#6 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-05-16 02:15 PM - Alexander Bruy

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

Fixed in master.
